%{?nodejs_find_provides_and_requires}

%global packagename lex-parser
%global enable_tests 0
# tests disabled to bootstrap npm(jison)

Name:		nodejs-lex-parser
Version:	0.1.4
Release:	1%{?dist}
Summary:	A parser for lexical grammars used by jison

License:	MIT
URL:		https://github.com/zaach/lex-parser.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	LICENSE.md
# upstream license file requested at https://github.com/zaach/lex-parser/issues/7

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
A parser for lexical grammars used by jison


%prep
%setup -q -n package
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check

%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Nov 24 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.4-1
- Initial packaging
- Tests disabled in order to boostrap npm(jison)
